gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. An HBox is a specific type of for packing widgets horizontally.

Other ways of laying out widgets include using a vertical box, (see ), a table, (see ), button boxes, etc.

Useful methods for manipulating boxes can be found in the superclass for HBox, .

Gtk.Box Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of HBox, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  The main way to create a new HBox.
  If , all widgets in the box are forced to be equally sized.
  The number of pixels to place between each widget in the box.

  A new HBox

- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  Default constructor.
  a